<template>
	<view class="calendars">
		<uv-calendars ref="calendars" mode="range" @confirm="confirm" color="#E3441A" confirmColor="#E3441A" />
	</view>
</template>

<script>
	export default {
		name: "Calendars",
		data() {
			return {
				date: ['2023-08-26', '2023-08-29']
			}
		},
		methods: {
			//打开日历
			open() {
				this.$refs.calendars.open();
			},

			//用户选择了日期信息
			confirm(e) {
				this.$emit("select", e)
			}
		}
	}
</script>

<style lang="scss" scoped>
	.calendars {
		&::v-deep .uv-calendar__header {
			border-bottom: none !important;
		}
	}
</style>